Get sub-brands
Get all sub-brands associated with your organization.
GET
/sub-brandsResponses
200Sub-brands retrieved successfully
Array of
objectidstringrequiredUnique identifier for the sub-brand
namestringrequiredName of the sub-brand
401Unauthorized - Missing or invalid authentication
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired404Not found - No sub-brands exist for the organization
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired500Internal server error
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequiredRequest
curl -X GET "https://api.sibipro.com/prod/offers/sub-brands"const response = await fetch("https://api.sibipro.com/prod/offers/sub-brands", {
method: "GET"
});Response
[
{
"id": "9OYmJkDZ8ijU4c",
"name": "SIBI Home Warranty"
},
{
"id": "vgYOuUeTC8mJRl",
"name": "SIBI Expanded Warranty"
}
]{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}